Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class ServerCloneException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.CloneNotSupportedException
                        |
                        +--weblogic.rmi.server.ServerCloneException

public class ServerCloneException
extends java.lang.CloneNotSupportedException

This class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.Exception` | `detail`

Constructor Summary
`ServerCloneException()`
`ServerCloneException(java.lang.String string)`
`ServerCloneException(java.lang.String string, java.lang.Exception e)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public java.lang.Exception detail

Constructor Detail

### ServerCloneException

    public ServerCloneException()

### ServerCloneException

    public ServerCloneException(java.lang.String string)

### ServerCloneException

    public ServerCloneException(java.lang.String string,
                                java.lang.Exception e)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD